View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
18100Bug reportsSurvey editingpublic2022-05-23 11:30
Reportertpartner Assigned Togabrieljenik  
PrioritynormalSeverityblock 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18100: Custom question attributes not available in some twig files
Description

In a multiple-numeric question (and possible others), the values of custom question attributes are not available in the answer_row.twig files.

This is a serious regression from 3.x, breaking many custom question themes.

Steps To Reproduce

1) Install the attached "Test-Multi-Numeric-Question-Attributes" theme.
2) Import the attached survey.
3) In either question, adjust the Custom options --> Attribute x attributes.
4) When viewing the survey, the values of the custom question attributes should be displayed in both the answer.twig file (.answer-container) and the answer_row.twig files (.answer-item). They are only available in answer.twig (see attached screenshot).

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)5.3.9
I will donate to the project if issue is resolvedNo
Browsern/a
Database type & versionlibmysql - mysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tpartner

tpartner

2022-05-11 16:59

partner  

capture-2.png (68,860 bytes)   
capture-2.png (68,860 bytes)   
capture-3.png (12,589 bytes)   
capture-3.png (12,589 bytes)   
Test - Multi-Numeric Question Attributes.lss (33,978 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>485</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[305]]></gid>
    <sid><![CDATA[743995]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[425]]></id>
    <gid><![CDATA[305]]></gid>
    <group_name><![CDATA[My first question group]]></group_name>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[743995]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[4829]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[743995]]></sid>
    <gid><![CDATA[305]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[Q00]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[Test-Multi-Numeric-Question-Attributes]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[743995]]></sid>
    <gid><![CDATA[305]]></gid>
    <type><![CDATA[K]]></type>
    <title><![CDATA[Q01]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[Test-Multi-Numeric-Question-Attributes]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[4832]]></qid>
    <parent_qid><![CDATA[4829]]></parent_qid>
    <sid><![CDATA[743995]]></sid>
    <gid><![CDATA[305]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[4833]]></qid>
    <parent_qid><![CDATA[4829]]></parent_qid>
    <sid><![CDATA[743995]]></sid>
    <gid><![CDATA[305]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[4839]]></qid>
    <parent_qid><![CDATA[4834]]></parent_qid>
    <sid><![CDATA[743995]]></sid>
    <gid><![CDATA[305]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[4840]]></qid>
    <parent_qid><![CDATA[4834]]></parent_qid>
    <sid><![CDATA[743995]]></sid>
    <gid><![CDATA[305]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </subquestions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[7273]]></id>
    <qid><![CDATA[4829]]></qid>
    <question><![CDATA[A first example question. Please answer this question:]]></question>
    <help><![CDATA[This is a question help text.]]></help>
    <script/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[7276]]></id>
    <qid><![CDATA[4832]]></qid>
    <question><![CDATA[SQ001]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[7277]]></id>
    <qid><![CDATA[4833]]></qid>
    <question><![CDATA[SQ002]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[7278]]></id>
    <qid><![CDATA[4834]]></qid>
    <question><![CDATA[A first example question. Please answer this question:]]></question>
    <help><![CDATA[This is a question help text.]]></help>
    <script/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[7283]]></id>
    <qid><![CDATA[4839]]></qid>
    <question><![CDATA[SQ001]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[7284]]></id>
    <qid><![CDATA[4840]]></qid>
    <question><![CDATA[SQ002]]></question>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[em_validation_sq]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[em_validation_sq_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[equals_num_value]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[label_input_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[max_num_value]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[max_num_value_n]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[min_num_value]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[min_num_value_n]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[num_value_int_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[prefix]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[question_attribute_1]]></attribute>
    <value><![CDATA[Some custom text ...]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[question_attribute_2]]></attribute>
    <value><![CDATA[Some more custom text ...]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_accuracy]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_custom_handle]]></attribute>
    <value><![CDATA[f1ae]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_default]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_default_set]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_handle]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_layout]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_max]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_middlestart]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_min]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_orientation]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_reset]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_reversed]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_separator]]></attribute>
    <value><![CDATA[|]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[slider_showminmax]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[suffix]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[text_input_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4829]]></qid>
    <attribute><![CDATA[value_range_allows_missing]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[em_validation_sq]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[em_validation_sq_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[equals_num_value]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[label_input_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[max_num_value]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[max_num_value_n]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[min_num_value]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[min_num_value_n]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[num_value_int_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[prefix]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[question_attribute_1]]></attribute>
    <value><![CDATA[Some custom text ...]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[question_attribute_2]]></attribute>
    <value><![CDATA[Some more custom text ...]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_accuracy]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_custom_handle]]></attribute>
    <value><![CDATA[f1ae]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_default]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_default_set]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_handle]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_layout]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_max]]></attribute>
    <value><![CDATA[100]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_middlestart]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_min]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_orientation]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_reset]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_reversed]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_separator]]></attribute>
    <value><![CDATA[|]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[slider_showminmax]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[suffix]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[text_input_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4834]]></qid>
    <attribute><![CDATA[value_range_allows_missing]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[743995]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <format><![CDATA[I]]></format>
    <savetimings><![CDATA[I]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[I]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[I]]></ipaddr>
    <ipanonymize><![CDATA[I]]></ipanonymize>
    <refurl><![CDATA[I]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[743995]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Test - Multi-Numeric Question Attributes]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>743995</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>743995</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>invalid:themes/survey/vanilla/files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
ollehar

ollehar

2022-05-11 17:11

administrator   ~69587

Always broken in LS5, or a recent regression?

tpartner

tpartner

2022-05-11 17:27

partner   ~69590

I don't know, I'm just getting around to updating some multi-numeric themes to 5.x.

Tomorrow, I'll test a multi-short-text and an array question.

DenisChenu

DenisChenu

2022-05-11 17:36

developer   ~69591

Always broken in LS5, or a recent regression?

No i think custom attribute is send to answer.twig only since start now.

DenisChenu

DenisChenu

2022-05-13 15:45

developer   ~69626

You have an idea @gabrieljenik ?

gabrieljenik

gabrieljenik

2022-05-13 15:58

manager   ~69629

Nope. If it is OK I will just review it

tpartner

tpartner

2022-05-13 16:30

partner   ~69631

Yes please.

DenisChenu

DenisChenu

2022-05-13 16:42

developer   ~69632

I try to take a look Monday,
I don't promise anything … but if i have a good idea, i create a pull requets.

gabrieljenik

gabrieljenik

2022-05-16 17:50

manager   ~69672

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2418

What do you think?
Problem is sometime answer.twig is not sending the question_template_attribute variable to their includes.
As to sovle this globally, we set this on a global.

Thoughts?

DenisChenu

DenisChenu

2022-05-16 18:08

developer   ~69675

My point of view : i dislike adding global ;)

But if we add : this give me other idea for answers and subquestions :)

tpartner

tpartner

2022-05-16 19:06

partner   ~69682

I'm not sure what the reference to "global" is. At the end of the day, these custom question attributes were available in all twig files (included or not), now they are not.

I guess the question is how has the handling of these attributes changed in 5.x.

I'm not at my computer this week but, if necessary, later next week I can provide a 3.x theme that demonstrates the past availability.

gabrieljenik

gabrieljenik

2022-05-17 15:02

manager   ~69736

if necessary, later next week I can provide a 3.x theme that demonstrates the past availability.

No need to I believe

gabrieljenik

gabrieljenik

2022-05-19 20:19

manager   ~69878

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33503

LimeBot

LimeBot

2022-05-23 11:30

administrator   ~69967

Fixed in Release 5.3.16+220523

Related Changesets

LimeSurvey: master 764cc6ed

2022-05-19 20:18:56

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18100: Custom question attributes not available in some twig files (#2418) Affected Issues
18100
mod - application/core/LSETwigViewRenderer.php Diff File

Issue History

Date Modified Username Field Change
2022-05-11 16:59 tpartner New Issue
2022-05-11 16:59 tpartner File Added: capture-2.png
2022-05-11 16:59 tpartner File Added: capture-3.png
2022-05-11 16:59 tpartner File Added: Test - Multi-Numeric Question Attributes.lss
2022-05-11 16:59 tpartner File Added: Test-Multi-Numeric-Question-Attributes.zip
2022-05-11 17:00 tpartner Description Updated
2022-05-11 17:10 ollehar Priority none => normal
2022-05-11 17:11 ollehar Note Added: 69587
2022-05-11 17:11 ollehar Bug heat 0 => 2
2022-05-11 17:27 tpartner Note Added: 69590
2022-05-11 17:27 tpartner Bug heat 2 => 4
2022-05-11 17:36 DenisChenu Note Added: 69591
2022-05-11 17:36 DenisChenu Bug heat 4 => 6
2022-05-13 15:06 gabrieljenik Assigned To => gabrieljenik
2022-05-13 15:06 gabrieljenik Status new => assigned
2022-05-13 15:45 DenisChenu Note Added: 69626
2022-05-13 15:58 gabrieljenik Note Added: 69629
2022-05-13 15:58 gabrieljenik Bug heat 6 => 8
2022-05-13 16:30 tpartner Note Added: 69631
2022-05-13 16:42 DenisChenu Note Added: 69632
2022-05-16 17:50 gabrieljenik Note Added: 69672
2022-05-16 17:50 gabrieljenik Status assigned => testing
2022-05-16 18:08 DenisChenu Note Added: 69675
2022-05-16 19:06 tpartner Note Added: 69682
2022-05-17 15:02 gabrieljenik Note Added: 69736
2022-05-19 20:19 gabrieljenik Changeset attached => LimeSurvey master 764cc6ed
2022-05-19 20:19 gabrieljenik Note Added: 69878
2022-05-19 20:19 gabrieljenik Resolution open => fixed
2022-05-19 20:19 c_schmitz Status testing => resolved
2022-05-23 11:30 LimeBot Note Added: 69967
2022-05-23 11:30 LimeBot Status resolved => closed
2022-05-23 11:30 LimeBot Bug heat 8 => 10